Bug 29614 - tc из 3.2.0-alt1 не работает с ядром ovz-el-2.6.32-alt88.M60P.1
: tc из 3.2.0-alt1 не работает с ядром ovz-el-2.6.32-alt88.M60P.1
Status: CLOSED WONTFIX
: Branch p6
(All bugs in Branch p6/iproute2)
: не указана
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2013-11-27 16:07 by
Modified: 2016-05-25 21:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-11-27 16:07:17
С ядром ovz-el-2.6.32-alt88.M60P.1 шейпер шейпит больше, чем положено. С
ovz-el-2.6.32-alt40.M60P.2 работает правильно.

http://lists.altlinux.org/pipermail/devel-kernel/2013-May/007318.html
------- Comment #1 From 2014-01-17 16:48:29 -------
Похоже, появился ещё один пострадавший:
http://forum.altlinux.org/index.php?topic=30856.0
------- Comment #2 From 2016-04-18 10:31:08 -------
Обновил всё в комплексе до p7 (ага, спустя пару дней после отбранчёвывания p8
;-) ). Вроде бы, в таком виде шейпер не сломался.

iproute2-3.8.0-alt1
kernel-image-std-def-3.14.65-alt0.M70P.1

Закрываю, как wontfix, смысла особо разбираться, наверное, нет с p6.
------- Comment #3 From 2016-05-23 10:58:32 -------
Кажется, проблема оказалась совсем в другом:
https://wiki.gentoo.org/wiki/Traffic_shaping

Тут упоминается "ethtool -K $ext tso off gso off gro off". Похоже, дело в этом.
И как-то оно перекликается с bug #31196. В p7 bug #29614 у меня не вылез сразу,
так как раньше вылезал bug #31196, и я, местами, отключал не только tso, но и
gso с gro.